//--------------------------------------------------------------
// Press F1 to get help about using script.
// To access an object that is not located in the current class, start the call with Globals.
// When using events and timers be cautious not to generate memoryleaks,
// please see the help for more information.
//---------------------------------------------------------------

namespace Neo.ApplicationFramework.Generated
{
	using System.Windows.Forms;
	using System;
	using System.Drawing;
	using Neo.ApplicationFramework.Tools;
	using Neo.ApplicationFramework.Common.Graphics.Logic;
	using Neo.ApplicationFramework.Controls;
	using System.IO.Ports;    
    
	public partial class SerialControl
	{
		SerialPort m_port = new SerialPort();
		
		public void InitPort()
		{
			try
			{
				m_port.PortName = "COM1";
				m_port.BaudRate = 9600;
				m_port.Parity = Parity.None;
				m_port.DataBits = 8;
				m_port.StopBits = StopBits.One;
			
				if(!m_port.IsOpen)
				{
					m_port.Open();
				}
			}
			catch(Exception ex)
			{
				MessageBox.Show(ex.Message);
			}
		}
		
		public void ControlRTS(bool RTS)
		{
			try
			{
				m_port.RtsEnable = RTS;
			}
			catch(Exception ex)
			{
				MessageBox.Show(ex.Message);
			}
		}
	}
}
